Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMComplexContent

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMSimpleContent
                  |
                  +--com.bea.schema.SOMComplexContent

public class SOMComplexContent
extends SOMSimpleContent

<complexContent> Alternative content for complexType's. complexContent elements must have either a restriction or an extension for a sub-element.

complexContent is not fully implemented.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`protected` | `SOMComplexContent(org.xml.sax.Attributes attrs, SOMObject parent)` constructor for use with SAX parser, loading SOM from a file.
`` | `SOMComplexContent(SOMExtension extension)`
`` | `SOMComplexContent(SOMRestriction restriction)`

Method Summary
`SOMExtension` | `add(SOMExtension extension)`
`SOMRestriction` | `add(SOMRestriction restriction)`
`protected SOMObject` | `addChild(java.lang.String tagName, org.xml.sax.Attributes attrs)`
`SOMComplexExtension` | `addExtension(SOMType base)`
`java.util.Map` | `getAttributes(boolean getAll)` retrieve the attributes for this schema element.
`java.lang.String` | `getID()`
`java.lang.String` | `getMixed()`
`void` | `setMixed(boolean mixed)`
`void` | `setMixed(java.lang.String mixed)`
`protected void` | `validate(org.w3c.dom.Node element, java.util.List errorList)`

Methods inherited from class com.bea.schema.SOMSimpleContent
`addAnnotation, addAttribute, contains, createDefault, getExtension, getRestriction, removeAnnotation, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMComplexContent

    public SOMComplexContent(SOMRestriction restriction)

### SOMComplexContent

    public SOMComplexContent(SOMExtension extension)

### SOMComplexContent

    protected SOMComplexContent(org.xml.sax.Attributes attrs,
                                SOMObject parent)

  constructor for use with SAX parser, loading SOM from a file.

  Parameters:
    `attrs` -

Method Detail

### addChild

    protected SOMObject addChild(java.lang.String tagName,
                                 org.xml.sax.Attributes attrs)
                          throws org.xml.sax.SAXException

  Overrides:
    addChild in class SOMSimpleContent

### add

    public SOMRestriction add(SOMRestriction restriction)

### add

    public SOMExtension add(SOMExtension extension)

  Overrides:
    add in class SOMSimpleContent

### addExtension

    public SOMComplexExtension addExtension(SOMType base)

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMSimpleContent

### setMixed

    public void setMixed(java.lang.String mixed)

### setMixed

    public void setMixed(boolean mixed)

### getMixed

    public java.lang.String getMixed()

### getAttributes

    public java.util.Map getAttributes(boolean getAll)

  retrieve the attributes for this schema element. If getAll is false, only the attributes that are not set to their default value are returned. If getAll is true, all possible attributes for this element will be returned.

  Parameters:
    `getAll` - get all attributes
  Returns:
    a Hashtable of attributes, where the attribute name and value are stored as strings.
  Overrides:
    getAttributes in class SOMSimpleContent

### validate

    protected void validate(org.w3c.dom.Node element,
                            java.util.List errorList)

  Overrides:
    validate in class SOMSimpleContent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)